Overview
Governance Auth Service API 1.1.1
Section titled “Governance Auth Service API 1.1.1”Authentication, authorization, token exchange, and DID key management for the EQTYLab Governance platform. Supports Auth0, Keycloak, Microsoft Entra ID, and generic OIDC providers with multi-tenant RBAC, API keys, and service-account tokens.
Information
- OpenAPI version:
2.0
Operations
Section titled “ Operations ”
GET
/api/v1/api-keys
POST
/api/v1/api-keys
DELETE
/api/v1/api-keys/{keyId}
POST
/api/v1/auth/token
POST
/api/v1/auth/did-key
DELETE
/api/v1/auth/did-key/{keyId}
GET
/api/v1/users
GET
/health
GET
/health/auth
GET
/health/ready
Authentication
Section titled “ Authentication ”ApiKeyAuth
Section titled “ApiKeyAuth ”Type “Bearer” followed by a space and API key
Security scheme type: apiKey
Header parameter name: Authorization
BearerAuth
Section titled “BearerAuth ”Type “Bearer” followed by a space and JWT token
Security scheme type: apiKey
Header parameter name: Authorization